### 5.1.43 finduni

`Syntax:`
  `finduni (` ideal_expression `)`
`Type:`
  ideal
`Purpose:`
  returns an ideal which is contained in the ideal_expression, such that the i-th generator is a univariate polynomial in the i-th ring variable.
  The polynomials have minimal degree w.r.t. this property.
`Assume:`
  The ideal must be zero-dimensional and given as a reduced Groebner basis in the current ring.
`Example:`

        ring  r=0,(x,y,z), dp;
        ideal i=y3+x2,x2y+x2,z4-x2-y;
        option(redSB);  // force computation of reduced basis
        i=std(i);
        ideal k=finduni(i);
        print(k);
      ==> x4-x2,
      ==> y4+y3,
      ==> z12

See option; ring; std; vdim.

User manual for Singular version 4.4.1, 2025, generated by texi2html.